Bug 452105 - (pear-Auth-RADIUS) Review Request: php-pear-Auth-RADIUS - Wrapper Classes for the RADIUS PECL
Review Request: php-pear-Auth-RADIUS - Wrapper Classes for the RADIUS PECL
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: php-pear-Auth
  Show dependency treegraph
 
Reported: 2008-06-19 09:04 EDT by Christopher Stone
Modified: 2008-06-24 22:52 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0.6-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-24 22:52:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2008-06-19 09:04:15 EDT
Spec URL: http://xulchris.fedorapeople.org/packages/php-pear-Auth-RADIUS.spec
SRPM URL: http://xulchris.fedorapeople.org/packages/php-pear-Auth-RADIUS-1.0.6-1.fc9.src.rpm

Description:
Wrapper Classes for the RADIUS PECL.
Comment 1 Jason Tibbitts 2008-06-21 18:35:58 EDT
Another trivial review; builds fine, rpmlint is silent and everything looks good
to me.

I assume you know that Requires(hint): is the same as Requires:, so this package
ends up depending on mcrypt, mhash, and Crypt-CHAP.  They're tiny, so I don't
see this as a problem, but I don't really see the point in just not using
regular dependencies.

* source files match upstream:
   fc993398a48e00eea572ac74157d02d53ead4fb60471e1ebb8861c4ae133b90e  
   Auth_RADIUS-1.0.6.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included (separately) upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   php-pear(Auth_RADIUS) = 1.0.6
   php-pear-Auth-RADIUS = 1.0.6-1.fc10
  =
   /bin/sh
   /usr/bin/pear
   php-mcrypt
   php-mhash
   php-pear(Crypt_CHAP)
   php-pear(PEAR)
   php-pecl(radius) >= 1.2.5

* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Christopher Stone 2008-06-21 18:42:18 EDT
I use requires(hint) as a note to myself (or someone looking at the spec) that
the package is optional.  Kind of like a comment.  Thanks for the review.  :)
Comment 3 Christopher Stone 2008-06-21 18:45:05 EDT
New Package CVS Request
=======================
Package Name: php-pear-Auth-RADIUS
Short Description: Wrapper Classes for the RADIUS PECL
Owners: xulchris
Branches: EL-5 F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 4 Jason Tibbitts 2008-06-21 18:56:05 EDT
I would suggest that if you wish to include a comment in the spec, you simply
use a regular comment instead of using syntax which simply isn't defined in Fedora.
Comment 5 Kevin Fenzi 2008-06-22 11:56:05 EDT
cvs done.
Comment 6 Fedora Update System 2008-06-22 16:20:05 EDT
php-pear-Auth-RADIUS-1.0.6-1.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-06-24 22:52:29 EDT
php-pear-Auth-RADIUS-1.0.6-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.